<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
  
  <xsl:output encoding="utf-8" indent="yes" method="xml" />

  <!--
        opencart-moneys3-orders.xslt

        Changelog:
        - 2011-01-30 created

        Copyright 2011 berushka .::: <me@berushka.net>

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
        MA 02110-1301, USA.
  -->
  
  <xsl:template match="/">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="opencart">
    <xsl:element name="MoneyData">
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>

  <xsl:template match="orders">
    <xsl:element name="SeznamObjPrij">
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>

  <xsl:template match="order">
    <xsl:element name="ObjPrij">
      <xsl:element name="popis">
        <xsl:value-of select="concat(store-name,' ',order-id)" />
      </xsl:element>
      <xsl:element name="Vystaveno">
        <xsl:value-of select="substring-before(date-added, ' ')" />
      </xsl:element>
      <xsl:element name="DodOdb">
        <xsl:element name="ObchNazev">
          <xsl:value-of select="concat(shipping/firstname,' ',shipping/lastname)" />
        </xsl:element>
        <xsl:element name="ObchAdresa">
          <xsl:element name="Ulice">
            <xsl:value-of select="shipping/address-1" />
            <xsl:value-of select="shipping/address-2" />
          </xsl:element>
          <xsl:element name="Misto">
            <xsl:value-of select="shipping/city" />
          </xsl:element>
          <xsl:element name="PSC">
            <xsl:value-of select="shipping/postcode" />
          </xsl:element>
        </xsl:element>
        <xsl:element name="FaktNazev">
          <xsl:value-of select="concat(payment/firstname,' ',payment/lastname)" />
        </xsl:element>
        <xsl:element name="FaktAdresa">
          <xsl:element name="Ulice">
            <xsl:value-of select="payment/address-1" />
            <xsl:value-of select="payment/address-2" />
          </xsl:element>
          <xsl:element name="Misto">
            <xsl:value-of select="payment/city" />
          </xsl:element>
          <xsl:element name="PSC">
            <xsl:value-of select="payment/postcode" />
          </xsl:element>
        </xsl:element>
        <xsl:element name="Nazev">
          <xsl:value-of select="concat(firstname,' ',lastname)" />
        </xsl:element>
      </xsl:element>
      <xsl:element name="KonecPrij">
        <xsl:element name="Nazev">
          <xsl:value-of select="concat(shipping/firstname,' ',shipping/lastname)" />
        </xsl:element>
        <xsl:element name="Adresa">
          <xsl:element name="Ulice">
            <xsl:value-of select="shipping/address-1" />
            <xsl:value-of select="shipping/address-2" />
          </xsl:element>
          <xsl:element name="Misto">
            <xsl:value-of select="shipping/city" />
          </xsl:element>
          <xsl:element name="PSC">
            <xsl:value-of select="shipping/postcode" />
          </xsl:element>
        </xsl:element>
      </xsl:element>
      <xsl:element name="Celkem">
        <xsl:value-of select="total" />
      </xsl:element>
      <xsl:element name="DRada">
        <xsl:text>OP10</xsl:text>
      </xsl:element>
      <xsl:element name="PlatPodm">
        <xsl:value-of select="payment/method" />
      </xsl:element>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>

  <xsl:template match="products">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="product">
    <xsl:element name="Polozka">
      <xsl:element name="Popis">
        <xsl:value-of select="name" />
      </xsl:element>
      <xsl:element name="PocetMJ">
        <xsl:value-of select="quantity" />
      </xsl:element>
      <xsl:element name="Cena">
        <xsl:value-of select="price" />
      </xsl:element>
      <xsl:element name="SazbaDPH">
        <xsl:value-of select="tax" />
      </xsl:element>
      <xsl:element name="NesklPolozka">
        <xsl:element name="Katalog">
          <xsl:value-of select="model" />
        </xsl:element>
      </xsl:element>
    </xsl:element>
  </xsl:template>

  <xsl:template match="*" />
  
</xsl:stylesheet>
